import { defineProperty as _defineProperty } from './_virtual/_rollupPluginBabelHelpers.mjs';
import { InterfaceImplementationMissingError } from './errors/InterfaceImplementationMissingError.mjs';

class NullDownloader {
  constructor() {
    _defineProperty(this, "error", new InterfaceImplementationMissingError('DownloaderInterface', 'downloader'));
  }
  download() {
    throw this.error;
  }
  downloadJson() {
    throw this.error;
  }
}

export { NullDownloader };
//# sourceMappingURL=DownloaderInterface.mjs.map
