'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _rollupPluginBabelHelpers = require('./_virtual/_rollupPluginBabelHelpers.cjs');
var InterfaceImplementationMissingError = require('./errors/InterfaceImplementationMissingError.cjs');

class NullDownloader {
  constructor() {
    _rollupPluginBabelHelpers.defineProperty(this, "error", new InterfaceImplementationMissingError.InterfaceImplementationMissingError('DownloaderInterface', 'downloader'));
  }
  download() {
    throw this.error;
  }
  downloadJson() {
    throw this.error;
  }
}

exports.NullDownloader = NullDownloader;
//# sourceMappingURL=DownloaderInterface.cjs.map
